<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Solid.Predicate</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Predicate Class Reference</h1>
<code>from PyKDE4.solid import *</code>
<p>


Namespace: Solid<br />
<h2>Detailed Description</h2>

<p>This class implements predicates for devices.
</p>
<p>
A predicate is a logical condition that a given device can match or not.
It's a constraint about the value a property must have in a given device
interface, or any combination (conjunction, disjunction) of such
constraints.
</p>
<p>
FIXME: Add an example.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj181735596">ComparisonOperator</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Equals, Mask&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181736012">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181736588">__init__</a> (self, <a href="../solid/Solid.Predicate.html">Solid.Predicate</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180145388">__init__</a> (self, Solid.DeviceInterface.Type ifaceType, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> property, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> value, Solid.Predicate.ComparisonOperator compOperator=Solid.Predicate.Equals)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180143596">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> ifaceName, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> property, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> value, Solid.Predicate.ComparisonOperator compOperator=Solid.Predicate.Equals)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181723340">__init__</a> (self, Solid.DeviceInterface.Type ifaceType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181723244">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> ifaceName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181568076">isValid</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181570508">matches</a> (self, <a href="../solid/Solid.Device.html">Solid.Device</a> device)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181724012">operator &</a> (self, <a href="../solid/Solid.Predicate.html">Solid.Predicate</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181724172">operator &=</a> (self, <a href="../solid/Solid.Predicate.html">Solid.Predicate</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181726028">operator |</a> (self, <a href="../solid/Solid.Predicate.html">Solid.Predicate</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181571116">operator |=</a> (self, <a href="../solid/Solid.Predicate.html">Solid.Predicate</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182575436">toString</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">QSet<Solid::DeviceInterface::Type>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181568940">usedTypes</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182576716">fromString</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> predicate)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj181736012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Constructs an invalid predicate.
</p></div></div><a class="anchor" name="obj181736588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Copy constructor.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>other</em>&nbsp;</td><td> the predicate to copy
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180145388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Solid.DeviceInterface.Type&nbsp;</td>
<td class="paramname"><em>ifaceType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>property</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td>
<td class="paramname"><em>value</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Solid.Predicate.ComparisonOperator&nbsp;</td>
<td class="paramname"><em>compOperator=Solid.Predicate.Equals</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a predicate matching the value of a property in
a given device interface.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>ifaceType</em>&nbsp;</td><td> the device interface type the device must have

<tr><td></td><td valign="top"><em>property</em>&nbsp;</td><td> the property name of the device interface

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td> the value the property must have to make the device match

<tr><td></td><td valign="top"><em>compOperator</em>&nbsp;</td><td> the operator to apply between the property and the value when matching
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180143596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>ifaceName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>property</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td>
<td class="paramname"><em>value</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Solid.Predicate.ComparisonOperator&nbsp;</td>
<td class="paramname"><em>compOperator=Solid.Predicate.Equals</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a predicate matching the value of a property in
a given device interface.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>ifaceName</em>&nbsp;</td><td> the name of the device interface the device must have

<tr><td></td><td valign="top"><em>property</em>&nbsp;</td><td> the property name of the device interface

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td> the value the property must have to make the device match

<tr><td></td><td valign="top"><em>compOperator</em>&nbsp;</td><td> the operator to apply between the property and the value when matching
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj181723340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Solid.DeviceInterface.Type&nbsp;</td>
<td class="paramname"><em>ifaceType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a predicate matching devices being of a particular device interface
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>ifaceType</em>&nbsp;</td><td> the device interface the device must have
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj181723244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>ifaceName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a predicate matching devices being of a particular device interface
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>ifaceName</em>&nbsp;</td><td> the name of the device interface the device must have
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj182576716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a> fromString</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>predicate</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts a string to a predicate.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>predicate</em>&nbsp;</td><td> the string to convert
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a new valid predicate if the given string is syntactically
correct, Predicate() otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj181568076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isValid</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Indicates if the predicate is valid.
</p>
<p>
Predicate() is the only invalid predicate.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the predicate is valid, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj181570508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool matches</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Device.html">Solid.Device</a>&nbsp;</td>
<td class="paramname"><em>device</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks if a device matches the predicate.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>device</em>&nbsp;</td><td> the device to match against the predicate
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the given device matches the predicate, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj181724012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a> operator &</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>'And' operator.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>other</em>&nbsp;</td><td> the second operand
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a new 'and' predicate having 'this' and 'other' as operands
</dd></dl>
</p></div></div><a class="anchor" name="obj181724172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a> operator &=</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>'AndEquals' operator.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>other</em>&nbsp;</td><td> the second operand
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> assigns to 'this' a new 'and' predicate having 'this' and 'other' as operands
</dd></dl>
</p></div></div><a class="anchor" name="obj181726028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a> operator |</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>'Or' operator.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>other</em>&nbsp;</td><td> the second operand
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a new 'or' predicate having 'this' and 'other' as operands
</dd></dl>
</p></div></div><a class="anchor" name="obj181571116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a> operator |=</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../solid/Solid.Predicate.html">Solid.Predicate</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>'OrEquals' operator.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>other</em>&nbsp;</td><td> the second operand
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> assigns to 'this' a new 'or' predicate having 'this' and 'other' as operands
</dd></dl>
</p></div></div><a class="anchor" name="obj182575436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> toString</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Converts the predicate to its string form.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a string representation of the predicate
</dd></dl>
</p></div></div><a class="anchor" name="obj181568940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">QSet<Solid::DeviceInterface::Type> usedTypes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Retrieves the device interface types used in this predicate.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> all the device interface types used in this predicate
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj181735596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ComparisonOperator</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The comparison operator which can be used for matching within the predicate.
</p>
<p>
- Equals, the property and the value will match for strict equality
- Mask, the property and the value will match if the bitmasking is not null
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Equals</em>&nbsp;</td><td><tr><td valign="top"><em>Mask</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
